Skip to main content
Kofax

Ricoh MFP Java Client Configure TLS Versions

Article # 3035961 - Page views: 32

Issue

How to determine which TLS versions are supported by a Ricoh MFP Device and how to enable or disable TLS versions used by the device

 

Cause

The MFP Device and the server must share at least one enabled TLS version for HTTPS communication to succeed.

 

Solution

  1. Log into the Ricoh MFP device's web interface (Web Image Monitor) using administrator credentials
     
  2. Navigate to Device Management | Configuration | Extended Feature Settings | Administrator Tools
     
  3. Most newer Ricoh MFP Devices will list the available TLS/SSL versions in the Select Available Functions section. 
    Note-Icon.png

    Older Ricoh MFP Devices may not list available TLS versions or give the user the ability to determine which TLS version is used for HTTPS communication.  The best way to determine which TLS version these devices support is to perform a network trace from the server using a network traffic tracing utility such as Wireshark

  4. Set the highest available TLS version to Active
     
  5. Set any other TLS/SSL versions to Inactive
     
  6. Click Apply
     
  7. Note which TLS version is enabled and make sure that the server also has that version of TLS enabled.

 

Level of Complexity 

Moderate

 

Applies to  

Product Version Build Environment Hardware
Kofax Front Office Server 4.3
4.1
ALL ALL Ricoh MFP Devices
Kofax TotalAgility 7.9
7.8
7.7
7.6
7.5
7.4
7.3
ALL ALL Ricoh MFP Devices

References

N/A

 

  • Was this article helpful?